package com.salpa.subject.domain;

import java.sql.Timestamp;
import java.time.LocalDateTime;

/**
 * 数据库类型表 monitor_database_type
 *
 * @author zhuff
 */
public class MonitorDatabaseType {

    /** id */
    private Integer id;

    /** 数据库类型 */
    private String databaseType;

    /** 图像 */
    private String icon;

    /** 描述 */
    private String description;

    /** jdbc文件网络地址 */
    private String jdbcDriverFileUrl;

    /** jdbc文件路径 */
    private String jdbcDriverFilePath;

    /** jdbc名称 */
    private String jdbcDriverClassName;

    /** jdbcProtocol */
    private String jdbcProtocol;

    /** urlPattern */
    private String urlPattern;

    /** 删除标识 */
    private boolean deleted;

    /** 删除token */
    private Integer deletedToken;

    /** 修改时间 */
    private LocalDateTime updateAt;

    /** 创建时间 */
    private LocalDateTime createAt;

    /*业务字段，项目数量*/
    private Integer projectCount;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDatabaseType() {
        return databaseType;
    }

    public void setDatabaseType(String databaseType) {
        this.databaseType = databaseType;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getJdbcDriverFileUrl() {
        return jdbcDriverFileUrl;
    }

    public void setJdbcDriverFileUrl(String jdbcDriverFileUrl) {
        this.jdbcDriverFileUrl = jdbcDriverFileUrl;
    }

    public String getJdbcDriverFilePath() {
        return jdbcDriverFilePath;
    }

    public void setJdbcDriverFilePath(String jdbcDriverFilePath) {
        this.jdbcDriverFilePath = jdbcDriverFilePath;
    }

    public String getJdbcDriverClassName() {
        return jdbcDriverClassName;
    }

    public void setJdbcDriverClassName(String jdbcDriverClassName) {
        this.jdbcDriverClassName = jdbcDriverClassName;
    }

    public String getJdbcProtocol() {
        return jdbcProtocol;
    }

    public void setJdbcProtocol(String jdbcProtocol) {
        this.jdbcProtocol = jdbcProtocol;
    }

    public String getUrlPattern() {
        return urlPattern;
    }

    public void setUrlPattern(String urlPattern) {
        this.urlPattern = urlPattern;
    }

    public boolean isDeleted() {
        return deleted;
    }

    public void setDeleted(boolean deleted) {
        this.deleted = deleted;
    }

    public Integer getDeletedToken() {
        return deletedToken;
    }

    public void setDeletedToken(Integer deletedToken) {
        this.deletedToken = deletedToken;
    }

    public LocalDateTime getUpdateAt() {
        return updateAt;
    }

    public void setUpdateAt(LocalDateTime updateAt) {
        this.updateAt = updateAt;
    }

    public LocalDateTime getCreateAt() {
        return createAt;
    }

    public void setCreateAt(LocalDateTime createAt) {
        this.createAt = createAt;
    }

    public Integer getProjectCount() {
        return projectCount;
    }

    public void setProjectCount(Integer projectCount) {
        this.projectCount = projectCount;
    }
}
